# Rust RISC-V 操作系统

按照[rCore](https://rcore-os.cn/rCore-Tutorial-Book-v3/chapter0/index.html)的教程进行开发。

## 目前进度

- [x] 基本执行环境
- [x] 批处理系统
- [x] 多道程序和分时系统
- [ ] 地址空间
- [ ] 文件系统
- [ ] 进程间通信和I/O重定向
- [ ] 并发
- [ ] I/O设备管理

## 运行环境配置

使用如下指令安装需要的Rust工具链。

首先配置`nightly`版本的工具链：

```shell
rustup install nightly
rustup default nightly
```

然后安装需要的`riscv`相关工具：

```shell
rustup target add riscv64gc-unknown-none-elf
cargo install cargo-binutils
rustup component add llvm-tools-preview
rustup component add rust-src
```

### QEMU

使用`qemu`作为虚拟机进行运行，需要`qemu-system-riscv`。

